# Implicit

Implicit means something that's assumed unless stated otherwise; it is the opposite of [explicit](explicit.md). Though not the same, the term is similar to *default*; for example an implicit/default background [color](color.md) of some image format may be defined as [white](white.md), meaning that unless background color is stated, we suppose the background to be white. Implicit values may be important e.g. for saving space -- imagine we have some dataset in which 90% of values are [zero](zero.md); then it is convenient to state zero to be the implicit value and not store such values, by which we'll save 90% of space.